package stackjava.com.sblogging.service;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

@Service
public class DemoService {
	
	private static final Logger logger = LoggerFactory.getLogger(DemoService.class);

	public void hello() {
		logger.info("debug enabled: {}", logger.isDebugEnabled());
		logger.trace("trace");
		logger.debug("debug");
		logger.info("info");
		logger.warn("warn");
		logger.error("error");
	}
}
